Page MenuHomePhabricator

Entry points for mobileoptions, mobile.init, mobilediff and userlogin are generated via webpack
Closed, ResolvedPublic5 Story Points

Description

The 4 modules loaded on MobileOptions, MobileDiff and UserLogin and all mobile pages (mobile.init) are relatively simple. It should be trivial to port these to webpack. None of them have tests.

Acceptance criteria

  • The code in mobile.special.mobileoptions.scripts (no deps) is built via webpack
  • The code in mobile.special.mobilediff.scripts is built via webpack
  • The code in mobile.special.userlogin.scripts is built via webpack
  • The code in mobile.init is built via webpack
  • The code in mobile.startup has not grown in any substantial way. Consider introducing a new module mobile.special.scripts (to mirror mobile.special.styles) modules if this becomes a problem that can be shared across all special pages.

Sign off steps

We have now ported our first special page JavaScript module to webpack! \o/

Event Timeline

Jdlrobson renamed this task from Entry points for mobileoptions, mobilediff and userlogin are generated via webpack to Entry points for mobileoptions, mobile.init, mobilediff and userlogin are generated via webpack.Jan 8 2019, 2:08 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jan 8 2019, 2:11 AM
Jdlrobson updated the task description. (Show Details)Jan 9 2019, 6:25 PM
Jdlrobson updated the task description. (Show Details)
ovasileva set the point value for this task to 5.Jan 9 2019, 6:29 PM

Change 484341 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] 4 Entry points built via webpack

https://gerrit.wikimedia.org/r/484341

Change 484341 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Four entry points built via webpack

https://gerrit.wikimedia.org/r/484341

Jdlrobson updated the task description. (Show Details)Jan 16 2019, 1:25 AM
Jdrewniak closed this task as Resolved.Jan 17 2019, 11:27 PM
Jdrewniak updated the task description. (Show Details)